/*-- BOOKING --*/
.form_input_booking{

    display: none;
    width: 0px;
    height: 0px;
    opacity: 1;

}
#section__contattaci__content__form__select_bookstate{

    display: none;

}
.form_select_booking,
.form_calendario_booking{ 
    
    grid-column: span 2;

}
.form_calendario_booking{

    display: block;
    width: 100%;
    height: auto;
    margin: 0px;
    padding: 0px;
    background-color: #ffffff;
    border: 0px solid #d5d5d5;
    cursor: text;
    font-size: 16px;
    font-weight: 400;
    color: #000000;
    outline: none;
    overflow: hidden;
    cursor: default;

}
#form_calendario_booking{ display: none; }
.form_calendario_booking__header{

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap: 0px;
    width: 100%;
    min-width: 0px;
    height: auto;
    padding: 0px;
    margin: 0px;
    border: 0px;
    background-color: #ffffff;
    border: 1px solid #d5d5d5;
    overflow: hidden;
    margin-bottom: 20px;
    cursor: default;

}
.form_calendario_booking__header__title{

    display: block;
    width: auto;
    height: auto;
    min-width: 0px; 
    line-height: 1;
    font-size: 16px;
    font-weight: 400;
    color: #000000;
    padding: 0px 15px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    flex-grow: 1;
    flex-shrink: 1;
    cursor: default;

}
.form_calendario_booking__header__controls{

    display: flex;
    flex-direction: row;
    flex-shrink: 0;
    gap: 0px;
    width: auto;
    height: 51px;
    padding: 0px;
    margin: 0px;
    border: 0px;

}
.form_calendario_booking__header__controls__button{

    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 100%;
    padding: 0px;
    margin: 0px;
    border: 0px;
    background-color: #ffffff;
    border: 0px;
    border-left: 1px solid #d5d5d5;
    cursor: pointer;
    
}
.form_calendario_booking__header__controls__button__svg{

    display: block;
    width: auto;
    height: 14px;
    fill: #656565;

}
.form_calendario_booking__header__controls__button:first-of-type 
.form_calendario_booking__header__controls__button__svg{

    transform: rotateZ(180deg);

}
.form_calendario_booking__dayslots{

    display: block;
    width: 100%;
    height: auto;
    padding: 0px;
    margin: 0px;
    border: 0px;
    background-color: #ffffff;
    border: 0px;

}
.form_calendario_booking__dayslots__weekdays,
.form_calendario_booking__dayslots__days{

    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 0px;
    width: 100%;
    height: auto;
    padding: 0px;
    margin: 0px;
    border: 0px;
    cursor: default;

}
.form_calendario_booking__dayslots__weekdays{

    border-bottom: 1px solid #d5d5d5;
    border-top: 1px solid #d5d5d5;

}
.form_calendario_booking__dayslots__weekday{

    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 51px;
    padding: 0px;
    margin: 0px;
    border: 0px;
    border-right: 1px solid #d5d5d5;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    background-color: #f5f5f5;

}
.form_calendario_booking__dayslots__weekday:first-of-type{ border-left: 1px solid #d5d5d5; }
.form_calendario_booking__dayslots__day{

    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 51px;
    padding: 0px;
    margin: 0px;
    border: 0px;
    border-right: 1px solid #d5d5d5;
    border-bottom: 1px solid #d5d5d5;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    cursor: pointer;
    font-size: 16px;
    font-weight: 400;
    color: #000000;
    line-height: 1;

}
.form_calendario_booking__dayslots__day:nth-child(7n + 1){

    border-left: 1px solid #d5d5d5;

}
.form_calendario_booking__timeslots{

    display: grid;

}
.form_calendario_booking__timeslots{

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
    gap: 10px;
    width: 100%;
    height: auto;
    padding: 0px;
    margin: 0px;
    border: 0px;
    cursor: default;
    margin-top: 20px;

}
.form_calendario_booking__timeslots__time{

    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 51px;
    padding: 0px;
    margin: 0px;
    border: 0px;
    border: 1px solid #d5d5d5;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    cursor: pointer;
    font-size: 16px;
    font-weight: 400;
    color: #000000;
    line-height: 1;
    background-color: #f7f7f7;

}
@media screen and (max-width: 685px){

    .form_select_booking,
    .form_calendario_booking{ 
        
        grid-column: span 1;

    }

}
@media screen and (max-width: 485px){

    .form_calendario_booking__timeslots{

        grid-template-columns: repeat(2, 1fr);

    }

}
.placeholder_day{ color: #d5d5d5; cursor: not-allowed; }
.available_day{ color: #000000; cursor: pointer; }
.unavailable_day{ color: #ff0000; cursor: not-allowed; }

.placeholder_day.active_day{ background-color: rgb(255, 0, 0, 0.1); color: #959595; }
.available_day.active_day{ background-color: #f5c800; }
.unavailable_day.active_day{ background-color: rgb(255, 0, 0, 0.1); }

.active_time{ color: #000000; cursor: pointer; background-color: #f5c800; }
/*-- BOOKING --*/